var boss_roboThug = function(pRef){
	var e = new enemy_roboNoob(pRef);
	e.GetCollidingObject().SetWidth(100);
	e.GetCollidingObject().SetHeight(100);
	e.SetSpeed(1);
	e.AllowShoot();
	e.SetStartingHealth(90);
	e.SetDamage(20);
	e.SetManaWorth(100);

	var previousMana = 0;

	e.ClearDrops();

//	e.AddDrop(75,new Powerup(0,0,PowerupType.KITTEN,1);
	e.AddDrop(40,new Powerup(0,0,PowerupType.BULLET_POWER,3));
	e.AddDrop(25,new Powerup(0,0,PowerupType.BULLET_POWER,4));
	e.AddDrop(10,new Powerup(0,0,PowerupType.MAXLIFE_UP,15));
	e.AddDrop(10,new Powerup(0,0,PowerupType.BULLET_POWER,5));
	e.AddDrop(20,new Powerup(0,0,PowerupType.TIME_EXTEND,500));
	e.onSpawn = function(){
		previousMana = Lynx.Constants.PLAYER.GetMana();
		Lynx.Constants.PLAYER.SetMana(0);
	}

	e.onDeath = function(){
		Lynx.Constants.PLAYER.UseMana(-previousMana);
		Lynx.Constants.CURRENT_SCORE = Lynx.Constants.CURRENT_SCORE + 500*Lynx.Constants.MULTIPLIER;
		this.Internal.onDeath(this);
	};

	e.SetDrawImage(Lynx.AssetManager.GetImage("roboThug").GetObject());

	return e;
};