var scene_gameOver = (function(){
	var overScene = new Lynx.Scene("Gameover");
	overScene.Draw = function(){
		if(Lynx.Constants.HIGH_SCORE < Lynx.Constants.CURRENT_SCORE){
			Lynx.Constants.HIGH_SCORE = Lynx.Constants.CURRENT_SCORE;
		}
		var score = Lynx.Constants.CURRENT_SCORE;
		var ctx = this.GetCanvas().GetContext();
		ctx.clearRect(0,0,this.GetCanvas().GetWidth(),this.GetCanvas().GetHeight());
		ctx.fillStyle = "rgba(0,0,0,0.7)";
		ctx.fillRect(0,0,this.GetCanvas().GetWidth(),this.GetCanvas().GetHeight());
		ctx.fillStyle = "rgba(255,255,255,1)";
		ctx.font = "40px 'Press Start 2P'";
		var textX = Math.floor(this.GetCanvas().GetWidth()/2);
		var textY = Math.floor(100);
		ctx.textAlign = "center";
		ctx.fillText("Game Over!",textX,textY);
		textY = textY + 55;
		ctx.font = "20px 'Press Start 2P'";
		ctx.fillText("Difficulty: "+Lynx.Constants.MODE,textX,textY);
		textY = textY + 35;
		ctx.fillText("Died at Level "+Lynx.Constants.WAVE_MANAGER.GetCurrentLevel(),textX,textY);
		textY = textY + 35;
		ctx.fillText("Your Score: "+Lynx.Constants.CURRENT_SCORE,textX,textY);
		textY = textY + 35;
		ctx.fillText("High Score: "+Lynx.Constants.HIGH_SCORE,textX,textY);
		textY = textY + 50;
		ctx.font = "12px 'Press Start 2P'";
		var scoreText = "Weenie. You are a weenie.";
		if(score >= 500){
			scoreText = "Well at least you tried?"; 
		}
		if(score >= 1000){
			scoreText = "We can't be great at everything...";
		}
		if(score >= 5000){
			scoreText = "That's a good start!";
		}
		if(score >= 10000){
			scoreText = "You're moving up in the world!";
		}
		if(score >= 15000){
			scoreText = "Finally, you got a decent score!";
		}
		if(score >= 25000){
			scoreText = "Great Job! How much time have you wasted playing this?";
		}
		if(score >= 50000){
			scoreText = "Ok we're officially impressed.";
		}
		if(score >= 75000){
			scoreText = "Hey maybe you should try out Insane Mode if you haven't yet.";
		}
		if(score >= 100000){
			scoreText = "You did it. You've proven that you're good at dodging and clicking.";
		}
		if(score >= 250000){
			scoreText = "Have you been playing this game all day?";
		}
		if(score >= 500000){
			scoreText = "Ok now we're pretty sure you're just cheating.";
		}
		if(score >= 1000000){
			scoreText = "Wow a million points! You officially have no life :D";
		}
		ctx.fillText('"'+scoreText+'"',textX,textY,750);
		textY = textY+30;
		ctx.font = "10px 'Press Start 2P'";
		ctx.fillText("Press [SPACE] to start a new game or [SHIFT] to go to the main menu.",textX,textY);
	};

	return overScene;
})();